/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Commons;


import com.google.gwt.user.client.ui.UIObject;

/**
 * @author JY Goubet
 *         <p/>
 *         Redefinition of the selenese test case class,
 *         in order to add some specials functions.
 */
public final class Commons {
  public static String getFormUpload(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + FORM_UPLOAD;
    else return FORM_UPLOAD;
  }

  public static String getFormUpload() {
    return getFormUpload(true);
  }

  public static String getFileUpload(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + FILE_UPLOAD;
    else return FILE_UPLOAD;
  }

  public static String getFileUpload() {
    return getFileUpload(true);
  }

  public static String getUploadButton(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + UPLOAD_BUTTON;
    else return UPLOAD_BUTTON;
  }

  public static String getUploadButton() {
    return getUploadButton(true);
  }

  public static String getPopup(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + POPUP;
    else return POPUP;
  }

  public static String getPopup() {
    return getPopup(true);
  }

  public static String getPopupCloseButton(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + POPUP_CLOSE_BUTTON;
    else return POPUP_CLOSE_BUTTON;
  }

  public static String getPopupCloseButton() {
    return getPopupCloseButton(true);
  }

  public static String getLoginFormPanel(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + LOGIN_FORM_PANEL;
    else return LOGIN_FORM_PANEL;
  }

  public static String getLoginFormPanel() {
    return getLoginFormPanel(true);
  }

  public static String getSubmitButton(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + SUBMIT_BUTTON;
    else return SUBMIT_BUTTON;
  }

  public static String getSubmitButton() {
    return getSubmitButton(true);
  }

  public static String getPasswordField(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + PASSWORD_FIELD;
    else return PASSWORD_FIELD;
  }

  public static String getPasswordField() {
    return getPasswordField(true);
  }

  public static String getUserField(boolean withDebugPrefix) {
    if (withDebugPrefix)
      return UIObject.DEBUG_ID_PREFIX + USER_FIELD;
    else return USER_FIELD;
  }

  public static String getUserField() {
    return getUserField(true);
  }

  private static final String FORM_UPLOAD = "fileUploadFormId";
  private static final String FILE_UPLOAD = "fileUploadFieldId";
  private static final String UPLOAD_BUTTON = "uploadButtonId";
  private static final String POPUP = "popupId";
  private static final String POPUP_CLOSE_BUTTON = "popupCloseButtonId";
  private static final String LOGIN_FORM_PANEL = "loginFormPanelId";
  private static final String USER_FIELD = "userNameFieldId";
  private static final String PASSWORD_FIELD = "passwordFieldId";
  private static final String SUBMIT_BUTTON = "submitButtonId";


  /**
   *
   */
  public static final String waitForPageToLoadTimeout = "30000";


  /**
   * @author Mathieu Crassin
   * <p/>
   * Private default constructor.
   */
  private Commons() {

  }
}
