/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/

package org.ow2.orchestra.console.GWTConsole.client.Commons;

import org.ow2.orchestra.facade.runtime.ActivityState;

import java.io.Serializable;
import java.util.Date;

/**
 *  FilterInstanceProcess is used by CellTable into tab ListInstance to store filter data
 *  for State Start date and Last Update date (from and to)
 */
public class FilterInstanceProcess implements Serializable {

  // value null is used to not defined a filter on this data
  private ActivityState state = null;
  private Date startFrom = null;
  private Date startTo = null;
  private Date endFrom = null;
  private Date endTo = null;

  public FilterInstanceProcess() {

  }

  public ActivityState getState() {
    return state;
  }

  public void setState(ActivityState state) {
    this.state = state;
  }

  public Date getStartFrom() {
    return startFrom;
  }

  public void setStartFrom(Date startFrom) {
    this.startFrom = startFrom;
  }

  public Date getStartTo() {
    return startTo;
  }

  public void setStartTo(Date startTo) {
    this.startTo = startTo;
  }

  public Date getEndFrom() {
    return endFrom;
  }

  public void setEndFrom(Date endFrom) {
    this.endFrom = endFrom;
  }

  public Date getEndTo() {
    return endTo;
  }

  public void setEndTo(Date endTo) {
    this.endTo = endTo;
  }

}
