/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Commons;

import com.google.gwt.user.client.ui.Grid;


/**
 * Class of the grids used in finder component.
 * 
 * @author Jean-Yves Goubet
 *
 */
public class FinderGrid extends Grid {
  
  // it's the current selected row of the grid
  private int selectedRow = -1;
  
  // it's the column of the grid in the finder
  private int column = -1;
  
  // it's the size of the list in the grid
  private int listSize = -1;
  
  
  /**
   * Constructor of the class
   * 
   * @author Jean-Yves Goubet
   * 
   */
  public FinderGrid() {
    super();
  }
  
  
  /**
   * Getter of the selectedRow parameter.
   * 
   * @author Jean-Yves Goubet
   * @return int : the value of selectedRow
   * 
   */
  public int getSelectedRow() {
    return this.selectedRow;
  }
  
  
  /**
   * Getter of the column parameter.
   * 
   * @author Jean-Yves Goubet
   * @return int : the value of column
   * 
   */
  public int getColumn() {
    return this.column;
  }
  
  
  /**
   * Getter of the listSize parameter.
   * 
   * @author Jean-Yves Goubet
   * @return int : the value of listSize
   * 
   */
  public int getListSize() {
    return listSize;
  }
  
  
  /**
   * Setter of the selectedRow parameter
   * 
   * @author Jean-Yves Goubet
   * @param selectedRow : the new value for selectedRow
   * 
   */
  public void setSelectedRow(int selectedRow) {
    this.selectedRow = selectedRow;
  }
  
  
  /**
   * Setter of the column parameter
   * 
   * @author Jean-Yves Goubet
   * @param selectedRow : the new value for column
   * 
   */
  public void setColumn(int column) {
    this.column = column;
  }
  
  
  /**
   * Setter of the listSize parameter
   * 
   * @author Jean-Yves Goubet
   * @param selectedRow : the new value for listSize
   * 
   */
  public void setListSize(int listSize) {
    this.listSize = listSize;
  }
}
