/**
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.console.GWTConsole.client.Commons.celltable;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.google.gwt.user.cellview.client.SimplePager;

/**
 * @author Loic Albertin
 * 
 */
public class ConsolePager extends SimplePager {

  private static Resources defaultResources;

  private static Resources getDefaultResources() {
    if (ConsolePager.defaultResources == null) {
      ConsolePager.defaultResources = GWT.create(ConsolePagerResources.class);
    }
    return ConsolePager.defaultResources;
  }

   /**
   * {@inheritDoc}
   */
  public interface ConsolePagerResources extends SimplePager.Resources {

    /**
     * The image used to go to the first page.
     */
    @Source("consolePagerFirstPage.png")
    @ImageOptions(flipRtl = true)
    ImageResource simplePagerFirstPage();

    /**
     * The image used to go to the last page.
     */
    @Source("consolePagerLastPage.png")
    @ImageOptions(flipRtl = true)
    ImageResource simplePagerLastPage();

    /**
     * The image used to go to the next page.
     */
    @Source("consolePagerNextPage.png")
    @ImageOptions(flipRtl = true)
    ImageResource simplePagerNextPage();

    /**
     * The image used to go to the previous page.
     */
    @Source("consolePagerPreviousPage.png")
    @ImageOptions(flipRtl = true)
    ImageResource simplePagerPreviousPage();
  }

  /**
   * Default constructor
   */
  public ConsolePager() {
    this(TextLocation.CENTER);
  }

  /**
   * {@inheritDoc}
   */
  public ConsolePager(TextLocation location) {
    this(location, getDefaultResources(), false, 0, true);
  }

  /**
   * {@inheritDoc}
   */
  public ConsolePager(TextLocation location, Resources resources,
      boolean showFastForwardButton, int fastForwardRows, boolean showLastPageButton) {
    super(location, resources, showFastForwardButton, fastForwardRows, showLastPageButton);
  }

}
