/**
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.console.GWTConsole.client.Commons.celltable;

import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.UIObject;


/**
 * @author Guillaume Porcher
 *
 */
public class LabelCell extends AbstractDebuggableCell<String> {

  private final Label label = new Label();
  private final boolean truncateToFirstLine;

  public LabelCell(final String debugPrefix) {
    this(false, false, debugPrefix);
  }


  public LabelCell(final boolean wordWrap, final boolean truncateToFirstLine, final String debugPrefix) {
    super(debugPrefix);
    this.label.setWordWrap(wordWrap);
    this.truncateToFirstLine = truncateToFirstLine;
  }

  @Override
  protected UIObject renderAsUIObject(final com.google.gwt.cell.client.Cell.Context context, final String value) {
    if (value != null) {
      if (this.truncateToFirstLine) {
        this.label.setText(value.split("\n")[0]);
        this.label.setTitle(value);
      } else {
        this.label.setText(value);
      }
      return this.label;
    }
    return null;
  }

}
