/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Tab;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.Widget;

import org.ow2.orchestra.console.GWTConsole.client.Resources.ImageResources;


/**
 * This class is the view of PTab.
 * 
 * @author Jean-Yves Goubet
 *
 */
public class VTab extends Composite implements VTabIF {

  @UiTemplate ("VTab.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VTab> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField HorizontalPanel  horizontalPanel;
  @UiField Label            tabLabel;
  @UiField Image            tabImage;
  @UiField Image            typeImage;
  
  private String elementId = null;
  private String elementName = null;
  private PTab.Type elementType = null;

  /**
   * The constructor of the class
   * 
   * @author Jean-Yves Goubet
   * 
   */
  public VTab() {
    //
    this.initWidget(VTab.uiBinder.createAndBindUi(this));

  }  
  public VTab(final String elementId, final String elementName, final PTab.Type type) {
    //
    this.initWidget(VTab.uiBinder.createAndBindUi(this));
    //
    this.elementId = elementId;
    this.elementName = elementName;
    this.elementType = type;
    
    // set correct image
    if (type == PTab.Type.LIST_INSTANCE) {
      typeImage.setResource(ImageResources.INSTANCE.instancesIcon());
      typeImage.setVisible(true);
    } else if (type == PTab.Type.LIST_INSTANCE_ACTIVITY || type == PTab.Type.LIST_PROCESS_ACTIVITY){
      typeImage.setResource(ImageResources.INSTANCE.activities());
      typeImage.setVisible(true);
    }
  }

  public HorizontalPanel getHorizontalPanel() {
    return horizontalPanel;
  }

  public Label getTabLabel() {
    return tabLabel;
  }

  public Image getTabImage() {
    return tabImage;
  }
  
  public void setTabLabel(String labelText) {
    tabLabel.setText(labelText);
  }
  
  public String getElementId() {
    return this.elementId;
  }
  public String getElementName() {
    return this.elementName;
  }  
  public PTab.Type getElementType() {
    return this.elementType;
  }
  public void setElementType(PTab.Type elementType) {
    this.elementType = elementType;
  }
  public void setDisplayCloseButton(boolean b) {
    this.tabImage.setVisible(b);
  }

}


