/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.TabLayoutPanel;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.LayoutPanel;
import com.google.gwt.user.client.ui.TabLayoutPanel;
import com.google.gwt.user.client.ui.Widget;
import org.ow2.orchestra.console.GWTConsole.client.DeployProcess.VDeployProcess;
import org.ow2.orchestra.console.GWTConsole.client.Finder.VFinder;
import org.ow2.orchestra.console.GWTConsole.client.InfoBar.VInfoBar;
import org.ow2.orchestra.console.GWTConsole.client.ListInstance.VListInstance;
import org.ow2.orchestra.console.GWTConsole.client.ListProcess.VListProcess;
import org.ow2.orchestra.console.GWTConsole.client.listJobs.VListJobs;
import org.ow2.orchestra.console.GWTConsole.client.listMessages.VListMessages;


public class VTabLayoutPanel extends Composite implements VTabLayoutPanelIF {

  @UiTemplate ("VTabLayoutPanel.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VTabLayoutPanel> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField VListProcess     vlp;
  @UiField VDeployProcess   vdp;
  @UiField VListInstance    vli;
  @UiField TabLayoutPanel   tabLayoutPanel;
  @UiField LayoutPanel      layoutPanel;
  @UiField VFinder          vf;
  @UiField VInfoBar         vInfoBar;
  @UiField VListJobs        vListJobs;
  @UiField VListMessages    vListMessages;

  public VTabLayoutPanel() {
    //
    this.initWidget(VTabLayoutPanel.uiBinder.createAndBindUi(this));
  }

  /**
   * Get method of deploy process view.
   *
   * @author
   */
  public VListProcess getVListProcess() {
    return this.vlp;
  }
  /**
   * Get method of list process view.
   *
   * @author
   */
  public VDeployProcess getVDeployProcess() {
    return this.vdp;
  }

  /**
   * Get method for list instance view
   *
   * @author
   *
   */
  public VListInstance getVListInstance() {
    return this.vli;
  }

  /**
   * Get method for tabLayoutPanel
   *
   * @author Jean-Yves Goubet
   *
   */
  public TabLayoutPanel getTabLayoutPanel() {
    return this.tabLayoutPanel;
  }

  /**
   * Get method for layoutPanel
   *
   * @author Jean-Yves Goubet
   */
  public LayoutPanel getLayoutPanel() {
    return layoutPanel;
  }


  public VFinder getVFinder() {
    return this.vf;
  }

  public VInfoBar getVInfoBar() {
    return this.vInfoBar;
  }

  public VListJobs getVListJobs() {
    return vListJobs;
  }

  public VListMessages getVListMessages() {
    return vListMessages;
  }
}
