/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.listJobs;


import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.Date;


/**
 * model class used to store information of the job
 *
 * @author Guillaume Porcher
 */
public final class MJob implements IsSerializable {

  private String jobType;
  private long jobId;
  private boolean isSuspended;
  private Date dueDate;
  private String exception;
  private int retries;
  private String activityInstanceUUID;
  private String processInstanceUUID;

  public MJob(
          final String jobType,
          final long jobId,
          final boolean suspended,
          final Date dueDate,
          final String exception,
          final int retries,
          final String activityInstanceUUID,
          final String processInstanceUUID) {
    this.jobType = jobType;
    this.jobId = jobId;
    isSuspended = suspended;
    this.dueDate = dueDate;
    this.exception = exception;
    this.retries = retries;
    this.activityInstanceUUID = activityInstanceUUID;
    this.processInstanceUUID = processInstanceUUID;
  }

  private MJob() {
  }

  public String getJobType() {
    return jobType;
  }

  public long getJobId() {
    return jobId;
  }

  public boolean isSuspended() {
    return isSuspended;
  }

  public Date getDueDate() {
    return dueDate;
  }

  public String getException() {
    return exception;
  }

  public int getRetries() {
    return retries;
  }

  public String getActivityInstanceUUID() {
    return activityInstanceUUID;
  }

  public String getProcessInstanceUUID() {
    return processInstanceUUID;
  }
}
